Skip to:
Content
Pages
Categories
Search
Top
Bottom

Error with BP Group Hierarchy 1.2.4 and BP 1.5

  • Avatar of drummergirl
    drummergirl
    Participant

    @drummergirl

    Just updated buddypress to 1.5 and BP Groups Hierarchy to 1.2.4 from their previous versions (1.5 RC2 and 1.2.3). I’m using the Genesis framework on a development multi-site network.

    The plugin activates fine and I can set and save the preferences. However, when I try to access it from the buddypress menu by clicking on any of the menu options for groups, I get the following error:

    Warning: require_once(/home/prolifen/public_html/wp-content/plugins/bp-group-hierarchy/templates/members/single/home.php) [function.require-once]: failed to open stream: No such file or directory in /home/prolifen/public_html/wp-includes/theme.php on line 1114

    Fatal error: require_once() [function.require]: Failed opening required ‘/home/prolifen/public_html/wp-content/plugins/bp-group-hierarchy/templates/members/single/home.php’ (include_path=’.:/usr/lib/php:/usr/local/lib/php’) in /home/prolifen/public_html/wp-includes/theme.php on line 1114

    I also tried from a test user account using the twentyeleven theme and got the same message. If I disable the BP Groups Hierarchy plugin, the pages are then functional. Am I missing something? It acts as if it’s looking for a file that doesn’t exist?

    I’ve also downloaded and reinstalled and tried disabling all other BP plugins, but the problem persists. Any other ways I should troubleshoot?

Viewing 6 replies - 1 through 6 (of 6 total)
  • Avatar of David Dean
    David Dean
    Participant

    @ddean

    Were you able to use Genesis, 1.2.3, and BP 1.5-RC2 together without seeing this issue?

    From the text of that error, it looks like the theme doesn’t have the required template files for BuddyPress. That’s probably why twentyeleven doesn’t work either. BP Group Hierarchy only loads from the plugin directory as a last resort. I’ll fix that error, but that might not fix things.

    I’ll post a development version with an updated template loader. Please give it a try and let me know whether that resolves this issue for you.

    Avatar of imjscn
    imjscn
    Participant

    @imjscn

    BP1.5 + Hierachy1.2.4 , Group Tree ajax Order By is not working. It says “There were no groups found.” , but can see those groups in BP flat list.

    Avatar of imjscn
    imjscn
    Participant

    @imjscn

    Not sure which one makes it working– I did 2 things today, cleaned browser cache, created a new group. Now the ajax sorting works fine.

    Avatar of drummergirl
    drummergirl
    Participant

    @drummergirl

    You are correct – it was missing the template files in the theme folder. I just added them and the error is gone. Thanks!

    Avatar of David Dean
    David Dean
    Participant

    @ddean

    Glad to hear things are working for you now. :)

    Avatar of David Dean
    David Dean
    Participant

    @ddean

    @imjscn I think I ran into the bug you described; it has been fixed in the newest version. Please give it a try and let know what you find! :)

Viewing 6 replies - 1 through 6 (of 6 total)

You must be logged in to reply to this topic.